Description

Since the early days I've been using QGIS, there's been a small irritant that I feel should be addressed. Currently, single symbol layers are

eating vertical spacing to show a symbology preview in a string-less child row. It has always felt odd to me, and IMO would look much

better if the symbology preview would simply replace the generic layer type (polygon, line, point) glyph in a single row.

A visual proposal is worth a thousand words:

http://i.imgur.com/vZEMKsH.png

crossing fingers real hard :)

Related issues:

Related to QGIS Application - Bug report # 8604: Repeated number of elements ... Closed 2013-09-12

History

#1 - 2014-06-04 03:08 AM - Nathan Woodrow

I'm in two minds, only because you loose the geometry type information if you don't have a symbol set, but other then that I don't mind it.  Not sure how hard

it would be too do.

#2 - 2014-06-04 03:08 AM - Nathan Woodrow

- Tracker changed from Bug report to Feature request

#3 - 2014-06-04 03:17 AM - Mathieu Pellerin - nIRV

Nathan, actually, the symbology preview does a good job ( most of the time ) at indicating what geometry type the layer is ( unless you have very fat lines,

line is clearly visible, etc. )

#4 - 2015-10-07 09:57 PM - Nyall Dawson

- Status changed from Open to Feedback

This can be closed now, right?

#5 - 2015-10-07 10:00 PM - Mathieu Pellerin - nIRV

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

- Assignee set to Martin Dobias

- % Done changed from 0 to 100
Yep.
